// @ myth - common - config.h
//
// Myth is a multiuser screen oriented adventure game.
// Copyright (C) 1989 Per Abrahamsen
// 
// This file is part of Myth.
// 
// Myth is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 1, or (at your option) any later
// version.
// 
// Myth is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Myth; see the file COPYING.  If not, write to the Free
// Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
// My email address is: amanda@iesd.auc.dk
//
// This file contain data used to configure the game.

// @@ begin

#ifndef CONFIG_HEADER
#define CONFIG_HEADER

// @@ include

#include "common/common.h"

// @@ extern

// Home directory for myth files.
extern const char* const HomeDirectory;

// Directory below HomeDirectory to store errorlog files in.
extern const char* const ErrorDirectory;

// Directory below HomeDirectory to store library files in.
extern const char* const LibraryDirectory;

// Version of myth
extern const char* const MythVersion;

// Some arbitrary port number.
extern const int InternetPort;

// @@ const

// Only use values of charecters below MaxChar
static const int MaxChar = 128;

// @@ function

// @@@ * inline char control(char c)

inline char control(char c)
{
    return (c == '?') ? 127 : c & 31;
}

// @@ end

#endif CONFIG_HEADER

// @@ emacs
//
// Local Variables:
// mode: c++
// outline-regexp: "// @+ "
// eval: (outline-minor-mode 1)
// End:
