// @ myth - common - format.C
//
// Myth is a multiuser screen oriented adventure game.
// Copyright (C) 1989 Per Abrahamsen
// 
// This file is part of Myth.
// 
// Myth is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 1, or (at your option) any later
// version.
// 
// Myth is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Myth; see the file COPYING.  If not, write to the Free
// Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
// My email address is: amanda@iesd.auc.dk

// @@ include

#include "common/page.h"
#include "common/format.h"
#include <stdarg.h>

// @@ FORMAT

// @@@ data

static const int MaxFormatSize = 10000;
static PAGE FormatPage;
static char FormatBuffer[MaxFormatSize];

// @@@ STRING format(const char* fmt ...)

STRING format(const char* fmt ...)
{
    va_list args;
    va_start(args, fmt);
#ifdef __GNUG__
    vsprintf(FormatBuffer, fmt, args);
#else /* STUPID front */
    vsprintf(FormatBuffer, (char*) fmt, args);
#endif
    va_end(args);
    STRING string(FormatBuffer);
    FormatPage.append(string);
    return string;
}

// @@@ void FormatCleanUp()

void FormatCleanUp()
{
    FormatPage.clear();
}

// @@ emacs
//
// Local Variables:
// mode: c++
// outline-regexp: "// @+ "
// eval: (outline-minor-mode 1)
// End:
