// @ myth - server - rnd.C
//
// Myth is a multiuser screen oriented adventure game.
// Copyright (C) 1989 Per Abrahamsen
// 
// This file is part of Myth.
// 
// Myth is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 1, or (at your option) any later
// version.
// 
// Myth is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Myth; see the file COPYING.  If not, write to the Free
// Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
// My email address is: amanda@iesd.auc.dk

// @@ include

#include "server/rnd.h"
#include "server/watch.h"
#include <time.h>

// @@ RND

// @@@ int RND::rnd(int limit)
//
// From 0 to limit - 1

int RND::rnd(int limit)
{
    if(limit < 2)
        return 0;
    else
        return (rand() >> 3) % limit;
}

// @@@ int RND::operator()(int limit)
//
// From 1 to limit

int RND::operator()(int limit)
{ return rnd(limit) + 1; }

// @@@ int RND::operator()(int lower, int upper)
//
// From lower to upper

int RND::operator()(int lower, int upper)
{ return lower + rnd(upper - lower + 1); }

// @@@ bool RND::chance(int x)
//
// 1 out of x

bool RND::chance(int x)
{ return rnd(x) == 0; }

// @@@ bool RND::chance(int x, int y)
//
// x out of y

bool RND::chance(int x, int y)
{
    return x > rnd(y);
}

// @@@ RND::RND()

RND::RND()
{ srand(((int) time(NULL)) ^ getpid()); }

// @@ The Instance

RND rnd;

// @@ emacs
//
// Local Variables:
// mode: c++
// outline-regexp: "// @+ "
// eval: (outline-minor-mode 1)
// End:
